Subject: Re: bug#33091: 27.0.50; Daily+ crashes in auto-save-hook

From: Stefan Kangas <[email-masked]>
Date: Fri, 21 Aug 2020 00:47:58 -0700

Hi Mark,

Eli Zaretskii <[email-masked]> writes:

>> From: "Mark A. Hershberger" <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 18 Oct 2018 16:15:51 -0400
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> > IOW, GC segfaults, and then Emacs tries to auto-save the session,
>> > which fails.
>> >
>> > Is it possible that GC hits a stack overflow?  Can you try manually
>> > establishing whether that is the case by doing what stack_overflow in
>> > sysdep.c does?
>>
>> I don't know how to do this. I can follow directions if you can tell me
>> what to do, though.
>
> Given the backtrace you show in your report, I believe the commands
> below should do that:
>
>   (gdb) frame 13
>   (gdb) p/x siginfo->si_addr
>   (gdb) p/x stack_bottom
>   (gdb) p/x current_thread->stack_top
>
> Stack frame #13 is inside handle_sigsegv, according to your backtrace.

It seems like we need more information from you to make any progress
here.  Did you have a chance to look into this?

Thanks.

Best regards,
Stefan Kangas